<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<LogicalCameraCap>
    <tag key="HAL_CUSTOM_LOGICAL_CAMERA_CAPABILITY" type="int32_t">
        <defInfo>
            <captureSceneMode type="string2Enum">CAMERA_HW_SM_INVALID</captureSceneMode>
            <logicalCameraIndex>0</logicalCameraIndex>
            <deviceNum>1</deviceNum>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>1</isPrimaryCamera>
                <positionType>1</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
            <deviceinfo>
                <cameraId>0</cameraId>
                <isPrimaryCamera>0</isPrimaryCamera>
                <positionType>0</positionType>
            </deviceinfo>
        </defInfo>
        <sceneDeviceInfo>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_CAPTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BURST</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PROFESSIONAL</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_CAPTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_HDR</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NIGHT_SHOT</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PANORAMA</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_CAR</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_STAR</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_WATER</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_LIGHT_PAINTING_LIGHT</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_WATER_MARK</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_AUDIO_NOTE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_DOCUMENT_SCAN</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_BEAUTY</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_FILTER</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_GOOD_FOOD</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_APERTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>8</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MOVING_PICTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>8</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_NORMAL_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_APERTURE_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PROFESSIONAL_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_TIMELAPSE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SLOW_MO</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_APERTURE</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_PORTRAIT</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_MONO_PROFESSIONAL</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_FILTER_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_DEFAULT</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_NIGHT</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_BACKLIGHTING</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_WATER</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_CAMERA_PORTRAIT</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_MACRO</captureSceneMode>
               <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_DUAL_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_4K_AI_ULTRA_CLARITY</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_ULTRA_HIGH_RES</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_EIS_VID</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT_SLOW_SHUTTER</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>2</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SMART_TRACKING</captureSceneMode>
                <logicalCameraIndex>0</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>4</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_STORY_MODE</captureSceneMode>
                <logicalCameraIndex>2</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>1</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
            <sceneDevice>
                <captureSceneMode type="string2Enum">CAMERA_HW_SM_SUPER_MACRO_VIDEO</captureSceneMode>
                <logicalCameraIndex>6</logicalCameraIndex>
                <deviceNum>1</deviceNum>
                <deviceinfo>
                    <cameraId>6</cameraId>
                    <isPrimaryCamera>1</isPrimaryCamera>
                    <positionType>1</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
                <deviceinfo>
                    <cameraId>0</cameraId>
                    <isPrimaryCamera>0</isPrimaryCamera>
                    <positionType>0</positionType>
                </deviceinfo>
            </sceneDevice>
        </sceneDeviceInfo>
    </tag>
</LogicalCameraCap>
